View Issue Details

IDProjectCategoryView StatusLast Update
13537Feature requests[All Projects] Otherpublic2018-04-06 11:48
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary13537: Developer need a solution to reduce max_execution_time
Description

When update EM, or create plugin or … sometimes you made error (maybe only me ? :p )
Then : web server wait 1200 seconds before break …
Except if you break manually the services

Additional Information

https://github.com/LimeSurvey/LimeSurvey/blob/master/application/core/LSYii_Controller.php#L106
Can be updated manually, but reset --hard break it agin.

Have an max_execution_time in config seems easy and quick

TagsNo tags attached.

Activities

user70560

2018-03-27 08:07

  ~47225

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26864

Related Changesets

LimeSurvey: master 3d54a47b

2018-03-27 08:07:30

user70560


Committer: GitHub Details Diff
New feature 13537: allow max_execution_time by config (#1026)

Dev: unsure need to update feature version
Dev: unsure need to be in changelog
Dev: but really cool feature (for me)
Affected Issues
13537
mod - application/config/config-defaults.php Diff File
mod - application/core/LSYii_Controller.php Diff File

Issue History

Date Modified Username Field Change
2018-03-26 18:22 DenisChenu New Issue
2018-03-26 18:22 DenisChenu Status new => assigned
2018-03-26 18:22 DenisChenu Assigned To => DenisChenu
2018-03-27 08:07 user70560 Changeset attached => LimeSurvey master 3d54a47b
2018-03-27 08:07 user70560 Note Added: 47225
2018-03-27 08:07 user70560 Assigned To DenisChenu => user70560
2018-03-27 08:07 user70560 Resolution open => fixed
2018-03-27 08:08 DenisChenu Assigned To user70560 => DenisChenu
2018-03-27 08:08 DenisChenu Status assigned => resolved
2018-03-27 08:08 DenisChenu Fixed in Version => 3.0
2018-04-06 11:48 markusfluer Status resolved => closed